Full name: projects.locations.reasoningEngines.memories.retrieveProfiles
Retrieves profiles.
Endpoint
posthttps://{service-endpoint}/v1beta1/{parent}/memories:retrieveProfiles
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The resource name of the ReasoningEngine to retrieve profiles from. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}
Request body
The request body contains data with the following structure:
scopemap (key: string, value: string)
Required. The scope of the profiles to retrieve.
Response body
Response message for MemoryBankService.RetrieveProfiles.
If successful, the response body contains data with the following structure:
The retrieved structured profiles, which match the schemas under the requested scope. The key is the id of the schema that the profile is linked with, which corresponds to the schemaId defined inside the SchemaConfig, under StructuredMemoryCustomizationConfig.
| JSON representation |
|---|
{
"profiles": {
string: {
object ( |
MemoryProfile
A memory profile.
schemaIdstring
Represents the id of the schema. This id corresponds to the schemaId defined inside the SchemaConfig, under StructuredMemoryCustomizationConfig.
Represents the profile data.
| JSON representation |
|---|
{ "schemaId": string, "profile": { object } } |